# $Revision: 1.18 $, $Date: 2008/07/27 22:48:46 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	RexxParse
Summary:	String::RexxParse - Perl implementation of REXX parse command
Summary(pl.UTF-8):	String::RexxParse - implementacja perlowa polecenia analizującego REXX
Name:		perl-String-RexxParse
Version:	1.08
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d7460e2ffe2122c2bbbfa8a4f1dd4256
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Some long-time REXX programmers switching to Perl find it difficult
to give up REXX's template-based parsing abilities.  This module is my
attempt to provide such parsing in Perl.  Consider it BETA level code.
The documentation assumes a familiarity with REXX parse statements.

%description -l pl.UTF-8
Niektórzy doświadczeni programiści REXX-a przerzucający się na Perla
uznali za trudne porzucenie REXX-owych możliwości analizy opartej na
wzorcach. Ten moduł jest próbą udostępnienia takiej analizy w Perlu.
Kod jest na etapie BETA. Dokumentacja zakłada znajomość wyrażeń
analizujących REXX-a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-RexxParse.spec,v $
Revision 1.18  2008/07/27 22:48:46  arekm
- release 4

Revision 1.17  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.15  2004/11/03 22:30:45  paladine
- formatting

Revision 1.14  2004/05/06 18:21:10  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/01 00:31:59  ankry
- license fixed, cosmetics

Revision 1.12  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.11  2004/04/15 20:30:24  ankry
- cosmetics, unification

Revision 1.10  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:46:47  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:27  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 22:37:24  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
